#include <Servo.h> 

#define ledRedPin 6
#define ledGreenPin 5
#define ledBluePin 11
#define sensorPin A0

Servo myservo;  // definieer een object waarmee de servo bestuurd wordt
int kleur = 0;

int servopos = 0;
int sensorValue;


void setup() {

  pinMode(ledRedPin, OUTPUT);
  pinMode(ledGreenPin, OUTPUT);
  pinMode(ledBluePin, OUTPUT);

  myservo.write(0);   // zet servo in beginstand
  myservo.attach(9);  // wijs pin 9 toe aan het servo object

  Serial.begin(115200);  // initialiseren van de verbinding naar de laptop

  analogWrite(ledRedPin, 255);       // test led
  analogWrite(ledGreenPin, 0); 
  analogWrite(ledBluePin, 0);
  delay (1000);
  analogWrite(ledRedPin, 0); 
  analogWrite(ledGreenPin, 255); 
  analogWrite(ledBluePin, 0);
  delay (1000);  
  analogWrite(ledRedPin, 0); 
  analogWrite(ledGreenPin, 0); 
  analogWrite(ledBluePin, 255);
  delay (1000);

  for (int x=0; x<181 ; x++) {    // test servo
    myservo.write(x);
    delay(25);
  }
  myservo.write(0);  // zet servo in beginstand
}

void loop()
{ 
  sensorValue = analogRead(sensorPin);   
  //  Serial.println(sensorValue);
  kleur = map (sensorValue,320,1023,0,240);
  if(kleur <= 0) kleur = 0; // you're too hot!
  //  Serial.println(kleur);
  // de showColour functie laat een kleur zien volgens het HSI kleuren schema.
  // Eeen getal tussen 0 en 360 word vertaald naar een kleur
  showColour(kleur);

  servopos = map (sensorValue,320, 1023, 0, 180);     // omrekenen naar servo waardes
  if(servopos <= 0) servopos = 0; // you're too hot!
  //  Serial.println(servopos);
  myservo.write(servopos);       // zet servo op nieuwe positie
  delay(10);                     // tijd nodig om servo te verplaatsen
} 




